<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateEscritura extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('escritura')
			->addColumn('valor', 'bigint', ['length' => 20, 'null' => false])
			->addColumn('fecha', 'date', ['null' => false])
			->addColumn('uf', 'float', ['default' => null, 'null' => true])
			->addColumn('abonado', 'integer', ['length' => 11, 'default' => 0])
			->addColumn('fecha_abono', 'date', ['default' => null, 'null' => true])
			->addColumn('pago', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
